IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2001:5f00::/24- First address
2001:5f00::- Last address
2001:5fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2001:5f00:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
f.5.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:5f00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:5f00::/32 | 2001:5f00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:5f01::/32 | 2001:5f01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:5f02::/32 | 2001:5f02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:5f03::/32 | 2001:5f03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:5f04::/32 | 2001:5f04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:5f05::/32 | 2001:5f05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:5f06::/32 | 2001:5f06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:5f07::/32 | 2001:5f07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:5f08::/32 | 2001:5f08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:5f09::/32 | 2001:5f09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:5f0a::/32 | 2001:5f0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:5f0b::/32 | 2001:5f0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:5f0c::/32 | 2001:5f0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:5f0d::/32 | 2001:5f0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:5f0e::/32 | 2001:5f0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:5f0f::/32 | 2001:5f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:5f10::/32 | 2001:5f10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:5f11::/32 | 2001:5f11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:5f12::/32 | 2001:5f12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:5f13::/32 | 2001:5f13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:5f14::/32 | 2001:5f14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:5f15::/32 | 2001:5f15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:5f16::/32 | 2001:5f16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:5f17::/32 | 2001:5f17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:5f18::/32 | 2001:5f18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:5f19::/32 | 2001:5f19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:5f1a::/32 | 2001:5f1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:5f1b::/32 | 2001:5f1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:5f1c::/32 | 2001:5f1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:5f1d::/32 | 2001:5f1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:5f1e::/32 | 2001:5f1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:5f1f::/32 | 2001:5f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:5f20::/32 | 2001:5f20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:5f21::/32 | 2001:5f21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:5f22::/32 | 2001:5f22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:5f23::/32 | 2001:5f23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:5f24::/32 | 2001:5f24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:5f25::/32 | 2001:5f25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:5f26::/32 | 2001:5f26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:5f27::/32 | 2001:5f27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:5f28::/32 | 2001:5f28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:5f29::/32 | 2001:5f29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:5f2a::/32 | 2001:5f2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:5f2b::/32 | 2001:5f2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:5f2c::/32 | 2001:5f2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:5f2d::/32 | 2001:5f2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:5f2e::/32 | 2001:5f2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:5f2f::/32 | 2001:5f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:5f30::/32 | 2001:5f30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:5f31::/32 | 2001:5f31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:5f32::/32 | 2001:5f32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:5f33::/32 | 2001:5f33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:5f34::/32 | 2001:5f34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:5f35::/32 | 2001:5f35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:5f36::/32 | 2001:5f36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:5f37::/32 | 2001:5f37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:5f38::/32 | 2001:5f38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:5f39::/32 | 2001:5f39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:5f3a::/32 | 2001:5f3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:5f3b::/32 | 2001:5f3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:5f3c::/32 | 2001:5f3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:5f3d::/32 | 2001:5f3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:5f3e::/32 | 2001:5f3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:5f3f::/32 | 2001:5f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:5f40::/32 | 2001:5f40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:5f41::/32 | 2001:5f41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:5f42::/32 | 2001:5f42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:5f43::/32 | 2001:5f43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:5f44::/32 | 2001:5f44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:5f45::/32 | 2001:5f45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:5f46::/32 | 2001:5f46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:5f47::/32 | 2001:5f47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:5f48::/32 | 2001:5f48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:5f49::/32 | 2001:5f49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:5f4a::/32 | 2001:5f4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:5f4b::/32 | 2001:5f4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:5f4c::/32 | 2001:5f4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:5f4d::/32 | 2001:5f4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:5f4e::/32 | 2001:5f4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:5f4f::/32 | 2001:5f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:5f50::/32 | 2001:5f50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:5f51::/32 | 2001:5f51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:5f52::/32 | 2001:5f52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:5f53::/32 | 2001:5f53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:5f54::/32 | 2001:5f54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:5f55::/32 | 2001:5f55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:5f56::/32 | 2001:5f56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:5f57::/32 | 2001:5f57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:5f58::/32 | 2001:5f58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:5f59::/32 | 2001:5f59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:5f5a::/32 | 2001:5f5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:5f5b::/32 | 2001:5f5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:5f5c::/32 | 2001:5f5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:5f5d::/32 | 2001:5f5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:5f5e::/32 | 2001:5f5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:5f5f::/32 | 2001:5f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:5f60::/32 | 2001:5f60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:5f61::/32 | 2001:5f61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:5f62::/32 | 2001:5f62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:5f63::/32 | 2001:5f63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:5f64::/32 | 2001:5f64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:5f65::/32 | 2001:5f65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:5f66::/32 | 2001:5f66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:5f67::/32 | 2001:5f67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:5f68::/32 | 2001:5f68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:5f69::/32 | 2001:5f69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:5f6a::/32 | 2001:5f6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:5f6b::/32 | 2001:5f6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:5f6c::/32 | 2001:5f6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:5f6d::/32 | 2001:5f6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:5f6e::/32 | 2001:5f6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:5f6f::/32 | 2001:5f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:5f70::/32 | 2001:5f70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:5f71::/32 | 2001:5f71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:5f72::/32 | 2001:5f72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:5f73::/32 | 2001:5f73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:5f74::/32 | 2001:5f74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:5f75::/32 | 2001:5f75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:5f76::/32 | 2001:5f76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:5f77::/32 | 2001:5f77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:5f78::/32 | 2001:5f78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:5f79::/32 | 2001:5f79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:5f7a::/32 | 2001:5f7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:5f7b::/32 | 2001:5f7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:5f7c::/32 | 2001:5f7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:5f7d::/32 | 2001:5f7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:5f7e::/32 | 2001:5f7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:5f7f::/32 | 2001:5f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:5f80::/32 | 2001:5f80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:5f81::/32 | 2001:5f81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:5f82::/32 | 2001:5f82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:5f83::/32 | 2001:5f83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:5f84::/32 | 2001:5f84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:5f85::/32 | 2001:5f85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:5f86::/32 | 2001:5f86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:5f87::/32 | 2001:5f87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:5f88::/32 | 2001:5f88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:5f89::/32 | 2001:5f89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:5f8a::/32 | 2001:5f8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:5f8b::/32 | 2001:5f8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:5f8c::/32 | 2001:5f8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:5f8d::/32 | 2001:5f8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:5f8e::/32 | 2001:5f8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:5f8f::/32 | 2001:5f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:5f90::/32 | 2001:5f90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:5f91::/32 | 2001:5f91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:5f92::/32 | 2001:5f92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:5f93::/32 | 2001:5f93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:5f94::/32 | 2001:5f94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:5f95::/32 | 2001:5f95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:5f96::/32 | 2001:5f96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:5f97::/32 | 2001:5f97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:5f98::/32 | 2001:5f98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:5f99::/32 | 2001:5f99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:5f9a::/32 | 2001:5f9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:5f9b::/32 | 2001:5f9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:5f9c::/32 | 2001:5f9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:5f9d::/32 | 2001:5f9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:5f9e::/32 | 2001:5f9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:5f9f::/32 | 2001:5f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:5fa0::/32 | 2001:5fa0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:5fa1::/32 | 2001:5fa1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:5fa2::/32 | 2001:5fa2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:5fa3::/32 | 2001:5fa3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:5fa4::/32 | 2001:5fa4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:5fa5::/32 | 2001:5fa5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:5fa6::/32 | 2001:5fa6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:5fa7::/32 | 2001:5fa7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:5fa8::/32 | 2001:5fa8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:5fa9::/32 | 2001:5fa9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:5faa::/32 | 2001:5faa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:5fab::/32 | 2001:5fab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:5fac::/32 | 2001:5fac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:5fad::/32 | 2001:5fad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:5fae::/32 | 2001:5fae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:5faf::/32 | 2001:5faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:5fb0::/32 | 2001:5fb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:5fb1::/32 | 2001:5fb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:5fb2::/32 | 2001:5fb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:5fb3::/32 | 2001:5fb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:5fb4::/32 | 2001:5fb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:5fb5::/32 | 2001:5fb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:5fb6::/32 | 2001:5fb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:5fb7::/32 | 2001:5fb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:5fb8::/32 | 2001:5fb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:5fb9::/32 | 2001:5fb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:5fba::/32 | 2001:5fba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:5fbb::/32 | 2001:5fbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:5fbc::/32 | 2001:5fbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:5fbd::/32 | 2001:5fbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:5fbe::/32 | 2001:5fbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:5fbf::/32 | 2001:5fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:5fc0::/32 | 2001:5fc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:5fc1::/32 | 2001:5fc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:5fc2::/32 | 2001:5fc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:5fc3::/32 | 2001:5fc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:5fc4::/32 | 2001:5fc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:5fc5::/32 | 2001:5fc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:5fc6::/32 | 2001:5fc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:5fc7::/32 | 2001:5fc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:5fc8::/32 | 2001:5fc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:5fc9::/32 | 2001:5fc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:5fca::/32 | 2001:5fca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:5fcb::/32 | 2001:5fcb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:5fcc::/32 | 2001:5fcc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:5fcd::/32 | 2001:5fcd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:5fce::/32 | 2001:5fce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:5fcf::/32 | 2001:5fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:5fd0::/32 | 2001:5fd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:5fd1::/32 | 2001:5fd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:5fd2::/32 | 2001:5fd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:5fd3::/32 | 2001:5fd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:5fd4::/32 | 2001:5fd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:5fd5::/32 | 2001:5fd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:5fd6::/32 | 2001:5fd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:5fd7::/32 | 2001:5fd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:5fd8::/32 | 2001:5fd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:5fd9::/32 | 2001:5fd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:5fda::/32 | 2001:5fda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:5fdb::/32 | 2001:5fdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:5fdc::/32 | 2001:5fdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:5fdd::/32 | 2001:5fdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:5fde::/32 | 2001:5fde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:5fdf::/32 | 2001:5fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:5fe0::/32 | 2001:5fe0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:5fe1::/32 | 2001:5fe1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:5fe2::/32 | 2001:5fe2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:5fe3::/32 | 2001:5fe3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:5fe4::/32 | 2001:5fe4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:5fe5::/32 | 2001:5fe5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:5fe6::/32 | 2001:5fe6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:5fe7::/32 | 2001:5fe7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:5fe8::/32 | 2001:5fe8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:5fe9::/32 | 2001:5fe9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:5fea::/32 | 2001:5fea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:5feb::/32 | 2001:5feb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:5fec::/32 | 2001:5fec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:5fed::/32 | 2001:5fed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:5fee::/32 | 2001:5fee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:5fef::/32 | 2001:5fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:5ff0::/32 | 2001:5ff0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:5ff1::/32 | 2001:5ff1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:5ff2::/32 | 2001:5ff2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:5ff3::/32 | 2001:5ff3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:5ff4::/32 | 2001:5ff4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:5ff5::/32 | 2001:5ff5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:5ff6::/32 | 2001:5ff6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:5ff7::/32 | 2001:5ff7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:5ff8::/32 | 2001:5ff8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:5ff9::/32 | 2001:5ff9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:5ffa::/32 | 2001:5ffa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:5ffb::/32 | 2001:5ffb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:5ffc::/32 | 2001:5ffc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:5ffd::/32 | 2001:5ffd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:5ffe::/32 | 2001:5ffe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:5fff::/32 | 2001:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |